#include "testApp.h"
#include "ofMain.h"

//--------------------------------------------------------------
void testApp::setup(){

	
	// macs by default run on non vertical sync, which can make animation very, very fast
	// this fixes that: 
	
	ofSetVerticalSync(true);
	
	// set background: 
	
	ofBackground(0,0,0);
	
	
	// set the "a" and "b" positions of the rectangle...
	
	for (int i = 0; i < 300; i++) {
		myRectangle[i].posa.x = 200;
		myRectangle[i].posa.y = 200;
		myRectangle[i].posb.x = ofRandom(-100,600);
		myRectangle[i].posb.y = ofRandom(-100,600);
		myRectangle[i].interpolateByPct(0);	// start at 0 pct

	} // end for 
	
	pct = 0;							// a variable we can alter...
} 

//--------------------------------------------------------------
void testApp::update(){

	pct += 0.01f;							// increase by a certain amount
	

	if (pct > 1) {
		pct = 0;					// just between 0 and 1 (0% and 100%)
		
	}
	 
	
	
for (int i = 0; i < 300; i++) {
	
			myRectangle[i].posa.x = 200;
			myRectangle[i].posa.y = 200;
			myRectangle[i].posb.x = ofRandom(-100,600);
			myRectangle[i].posb.y = ofRandom(-100,600);
			//myRectangle[i].interpolateByPct(0);
		
		myRectangle[i].interpolateByPct(pct);		// go between pta and ptb
	} //end for	
}

//--------------------------------------------------------------
void testApp::draw(){
	
	for (int i = 0; i < 300; i++) {
		myRectangle[i].draw();
		
	} // end for
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
